import { JsonObjectVisitor } from "../proxy";
import { BriefcaseVisitor } from "./BriefcaseVisitor";
import { MobileCommentsRecordSetVisitor } from "./MobileCommentsRecordSetVisitor";
import { WorkPackagesRecordSetVisitor } from "./WorkPackagesRecordSetVisitor";
/**
 *
 */
export declare class SdaDialogDelegateStateVisitor implements JsonObjectVisitor {
    private _enclosedJsonObject;
    constructor(state: string | object);
    enclosedJsonObject(): any;
    copyAsJsonObject(): object;
    copyAsJsonString(): string;
    addSelectedWorkPackageId(id: string): void;
    removeSelectedWorkPackageId(id: string): void;
    visitBaseUrl(): string;
    visitAndSetBaseUrl(baseUrl: string): void;
    visitBriefcase(): BriefcaseVisitor;
    visitLoginHash(): string;
    visitAndSetLoginHash(loginHash: string): void;
    visitSelectedWorkPackageIds(): string[];
    visitAndClearSelectedWorkPackageIds(): any[];
    visitSessionId(): string;
    visitAndSetSessionId(sessionId: string): void;
    visitTenantId(): string;
    visitAndSetTenantId(tenantId: string): void;
    visitUserId(): string;
    visitAndSetUserId(userId: string): void;
    visitMobileCommentsRecordSet(): MobileCommentsRecordSetVisitor;
    visitWorkPackagesRecordSet(): WorkPackagesRecordSetVisitor;
}
